﻿using System;
using System.Windows;
using System.Windows.Media.Imaging;

namespace Cafe.AddWindows
{
    public partial class AddDishWindow : Window
    {
        public AddDishWindow()
        {
            InitializeComponent();
        }
        private void SelectButtonClick(object sender, RoutedEventArgs e)
        {
            BitmapImage image = new BitmapImage();
            image = ImagesManip.SelectImage();
            Picture.Source = image;
        }

        private void AddButtonClick(object sender, RoutedEventArgs e)
        {
            if (Name.Text == "" || Price.Text == "")
            {
                ErrorWindow errorWindow = new ErrorWindow("пустые поля");
                errorWindow.Show();
                return;
            }

            decimal priceResult;
            if (!decimal.TryParse(Price.Text, out priceResult))
            {
                ErrorWindow errorWindow = new ErrorWindow("цена указана неверно");
                errorWindow.Show();
                return;
            }

            Dishes dish = new Dishes()
            {
                Name = Name.Text,
                Price = Convert.ToDecimal(Price.Text)
            };

            if (Description.Text != null)
                dish.Description = Description.Text;

            if (Picture.Source != null)
                dish.Picture = ImagesManip.BitmapSourceToByteArray((BitmapSource)Picture.Source);

            Connection.db.Dishes.Add(dish);
            Connection.db.SaveChanges();

            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();
        }
    }
}