﻿using System.Linq;
using System.Windows;
using Cafe.ListWindows;

namespace Cafe.ElementsWindows
{
    public partial class EmployeeWindow : Window
    {
        Users employee;

        public EmployeeWindow(int id)
        {
            InitializeComponent();

            employee = Connection.db.Users.Where(item => item.ID == id).FirstOrDefault();

            Login.Content = employee.Login;

            Role.Content = employee.Roles.RoleName;

            SecondName.Content = employee.SecondName;

            FirstName.Content = employee.FirstName;

            MiddleName.Content = employee.MiddleName;

            Email.Content = employee.Email;

            IsFired.Content = GetFireStatus();

            if (employee.IsFired)
            {
                FireButton.Visibility = Visibility.Hidden;
            }
        }

        private string GetFireStatus()
        {
            if (employee.IsFired)
            {
                return "уволен";
            }
            else
            {
                return "не уволен";
            }
        }

        private void FireButtonClick(object sender, RoutedEventArgs e)
        {
            employee.IsFired = true;

            Connection.db.SaveChanges();
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            EmployeesListWindow employeesListWindow = new EmployeesListWindow();
            employeesListWindow.Show();
            this.Close();
        }
    }
}