﻿using System.Linq;
using System.Windows;
using Cafe.ListWindows;

namespace Cafe.ElementsWindows
{
    public partial class OrderWindow : Window
    {
        Orders order;

        public OrderWindow(int idOrder)
        {
            InitializeComponent();
            order = Connection.db.Orders.Where(item => item.ID == idOrder).FirstOrDefault();

            Table.Content = order.IDTable;

            Users waiter = Connection.db.Users.Where(item => item.ID == User.IDUser).FirstOrDefault();
            Waiter.Content = waiter.SecondName + " " + waiter.FirstName + " " + waiter.MiddleName;

            Time.Content = order.Time.Day + "." + order.Time.Month + "." + order.Time.Year 
                           + " " + order.Time.Hour + ":" + order.Time.Minute;

            SumOfOrder.Content = string.Format("{0:f2}", order.SumOfOrder);

            DishesList.ItemsSource = Connection.db.OrderDishes.Where(item => item.IDOrder == order.ID).ToList();

            IsReady.Content = GetReadyStatus();

            if (User.Role != 2)
            {
                Ready.Visibility = Visibility.Hidden;
                IsReady.Visibility = Visibility.Hidden;
                Pay.Visibility = Visibility.Hidden;
            }
            else if (User.Role != 3)
            {
                ReadyButton.Visibility = Visibility.Hidden;
            }
        }

        private string GetReadyStatus()
        {
            if (order.IsReady)
            {
                return "готово";
            }
            else
            {
                return "готовится";
            }
        }

        private void PayButtonClick(object sender, RoutedEventArgs e)
        {
            order.IsPaid = true;

            Connection.db.SaveChanges();

            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();
        }

        private void ReadyButtonClick(object sender, RoutedEventArgs e)
        {
            order.IsReady = true;

            Connection.db.SaveChanges();

            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            if (User.Role == 2)
            {
                MainWindow mainWindow = new MainWindow();
                mainWindow.Show();
                this.Close();
            }
            else if (User.Role == 3)
            {
                OrdersListWindow ordersListWindow = new OrdersListWindow();
                ordersListWindow.Show();
                this.Close();
            }
        }
    }
}