﻿using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using Cafe.ElementsWindows;

namespace Cafe.ListWindows
{
    public partial class EmployeesListWindow : Window
    {
        public EmployeesListWindow()
        {
            InitializeComponent();

            EmployeesList.ItemsSource = Connection.db.Users.ToList();
        }

        private void EmployeesListMouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            int id = ((Users)EmployeesList.SelectedItem).ID;
            EmployeeWindow employeeWindow = new EmployeeWindow(id);
            employeeWindow.Show();
            this.Hide();
        }

        private void SearchPreviewMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            if (Search.Text == "Поиск")
                Search.Text = "";
        }

        private void SearchLostFocus(object sender, RoutedEventArgs e)
        {
            if (Search.Text == "")
                Search.Text = "Поиск";
        }

        private void SearchTextChanged(object sender, TextChangedEventArgs e)
        {
            if (Search.Text != "" && Search.Text != "Поиск")
            {
                EmployeesList.ItemsSource = Connection.db.Users.Where(item => (item.Login + " " + item.SecondName + " " + item.FirstName + " "
                                                                               + item.MiddleName + " " + item.Email).Contains(Search.Text)).ToList();
            }
            else if (Search.Text == "" || Search.Text == "Поиск")
            {
                EmployeesList.ItemsSource = Connection.db.Users.ToList();
            }
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();
        }
    }
}