﻿using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using Cafe.ElementsWindows;

namespace Cafe.ListWindows
{
    public partial class ExchangesListWindow : Window
    {
        public ExchangesListWindow()
        {
            InitializeComponent();

            ExchangesList.ItemsSource = Connection.db.Exchange.ToList();
        }

        private void ExchangesListMouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            int id = ((Exchange)ExchangesList.SelectedItem).ID;
            ExchangeWindow exchangeWindow = new ExchangeWindow(id);
            exchangeWindow.Show();
            this.Hide();
        }

        private void SearchPreviewMouseLeftButtonUp(object sender, MouseButtonEventArgs e)
        {
            if (Search.Text == "Поиск")
                Search.Text = "";
        }

        private void SearchLostFocus(object sender, RoutedEventArgs e)
        {
            if (Search.Text == "")
                Search.Text = "Поиск";
        }

        private void SearchTextChanged(object sender, TextChangedEventArgs e)
        {
            if (Search.Text != "" && Search.Text != "Поиск")
            {
                ExchangesList.ItemsSource = Connection.db.EmployeesExchanges.Where(item => (item.Users.Login + " " + item.Users.SecondName + " " + item.Users.FirstName + " "
                                                                                + item.Users.MiddleName + " " + item.Exchange.ID + " " + item.Exchange.Date + " "
                                                                                + item.Exchange.TimeOfBegin + " " + item.Exchange.TimeOfEnd).Contains(Search.Text)).ToList();
            }
            else if (Search.Text == "" || Search.Text == "Поиск")
            {
                ExchangesList.ItemsSource = Connection.db.Exchange.ToList();
            }
        }

        private void BackButtonClick(object sender, RoutedEventArgs e)
        {
            MainWindow mainWindow = new MainWindow();
            mainWindow.Show();
            this.Close();
        }
    }
}